## OobsIface

OobsIface — Base object for network interfaces

## Functions

gboolean | oobs_iface_get_auto ()
void | oobs_iface_set_auto ()
gboolean | oobs_iface_get_active ()
void | oobs_iface_set_active ()
const gchar * | oobs_iface_get_device_name ()
gboolean | oobs_iface_get_configured ()
void | oobs_iface_set_configured ()
gboolean | oobs_iface_has_gateway ()

## Properties

gboolean | active | Read / Write
gboolean | auto | Read / Write
gboolean | configured | Read / Write
char * | device | Read / Write / Construct Only

## Signals

void | state-changed | Run Last

## Object Hierarchy

        GObject
        ╰── OobsIface
            ├── OobsIfaceEthernet
            ├── OobsIfacePlip
            ╰── OobsIfacePPP

## Description

## Functions

### oobs_iface_get_auto ()

    gboolean
    oobs_iface_get_auto (OobsIface *iface);

Returns whether the interface is started automatically at boot time.

#### Parameters

iface | An OobsIface. |

#### Returns

TRUE if the interface starts during system boot.

### oobs_iface_set_auto ()

    void
    oobs_iface_set_auto (OobsIface *iface,
                         gboolean is_auto);

Sets whether the interface is started automatically at boot time.

#### Parameters

iface | An OobsIface. |
is_auto | TRUE to make the interface start at boot time. |

### oobs_iface_get_active ()

    gboolean
    oobs_iface_get_active (OobsIface *iface);

Returns whether the interface is active.

#### Parameters

iface | An OobsIface. |

#### Returns

TRUE if the interface is active.

### oobs_iface_set_active ()

    void
    oobs_iface_set_active (OobsIface *iface,
                           gboolean is_active);

Sets whether the interface is currently active.

#### Parameters

iface | An OobsIface. |
is_active | TRUE to enable the interface. |

### oobs_iface_get_device_name ()

    const gchar *
    oobs_iface_get_device_name (OobsIface *iface);

Returns the device name for the interface.

#### Parameters

iface | An OobsIface. |

#### Returns

A string containing the device name. This string must not be freed or modified.

### oobs_iface_get_configured ()

    gboolean
    oobs_iface_get_configured (OobsIface *iface);

Returns whether the interface has a valid (i.e.: complete) configuration and is explicitly marked as configured (see `oobs_iface_set_configured()`).

#### Parameters

iface | An OobsIface. |

#### Returns

TRUE if its configuration is valid.

### oobs_iface_set_configured ()

    void
    oobs_iface_set_configured (OobsIface *iface,
                               gboolean is_configured);

If `is_configured` is FALSE, the function explicitly marks the interface as not configured. If `is_configured` is TRUE, the explicit mark will be removed, but the interface may still have an incomplete/invalid configuration.

#### Parameters

iface | An OobsIface. |
is_configured | FALSE to explictitly mark the interface as not configured. |

### oobs_iface_has_gateway ()

    gboolean
    oobs_iface_has_gateway (OobsIface *iface);

Returns whether the interface has a defined gateway.

#### Parameters

iface | An OobsIface. |

#### Returns

TRUE if the interface has a defined gateway.

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the interface is active.

Owner: OobsIface

Flags: Read / Write

Default value: FALSE

### The `“auto”` property

      “auto”                     gboolean

Whether the interface starts at boot time.

Owner: OobsIface

Flags: Read / Write

Default value: FALSE

### The `“configured”` property

      “configured”               gboolean

Whether the interface is fully configured.

Owner: OobsIface

Flags: Read / Write

Default value: FALSE

### The `“device”` property

      “device”                   char *

Device name of the iface.

Owner: OobsIface

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“state-changed”` signal

    void
    user_function (OobsIface *oobsiface,
                   gpointer   user_data)

Flags: Run Last

## See Also

OobsIfacesConfig, OobsIfaceEthernet, OobsIfaceIRLan, OobsIfacePlip, OobsIfacePPP, OobsIfaceWireless